Subject: Re: ruby-1.6.4 on cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked]
Date: Thu, 7 Jun 2001 01:02:07 +0200

Agostino Deligia schrieb am 2001-06-06, 10:55:

Hi,

> > * Agostino Deligia <[email-masked]> [010606 22:25]:
> > > I had to place the following X header files (from the Cygwin XFree86 project)
> > > in /usr/include/X11 before configuring with --enable-shared so that tcltklib
> > > would ger built and installed. Other than that, ruby 1.6.4 built
> > > out-of-the-box.
> > > 
> > >    X.h
> > >    Xfuncproto.h
> > >    Xlib.h
> > >    Xosdefs.h
> > 
> > Sounds strange.  I don't have any X-related thing on my hard disk.  I
> > once tried Cygwin XFree you mentioned but now it's completely removed.
> > 
> > Sorry I can't make out why you had to have those headers.  Suggestions
> > anyone?
> > [...]
> 
> The ruby Tcl/Tk extension includes <tk.h> which itself contains the following
> code snippet:
> 
> #ifndef _TCL
> #   include <tcl.h>
> #endif
> #ifndef _XLIB_H
> #   ifdef MAC_TCL
> #       include <Xlib.h>
> #       include <X.h>
> #   else
> #       include <X11/Xlib.h>
> #   endif
> #endif
> #ifdef __STDC__
> #   include <stddef.h>
> #endif
> 
> Note the #include <X11/Xlib.h>. The latter header file itself includes the
> other X headers I mentionned.

Then it should not compile, if you got no X installed, which it does
like he mentioned.

-gph

-- 
=^..^=

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple